class CreateCategories < ActiveRecord::Migration[6.0]
  def change
    create_table :categories do |t|
      t.string :name, index: true, null: false
      t.string :path, index: true, null: false
      t.references :blog, null: false, foreign_key: true, index: true
      t.index [:name, :blog_id], unique: true
      t.index [:path, :blog_id], unique: true
      t.timestamps
    end

    create_join_table :categories, :posts do |t|
    t.index :category_id
    t.index :post_id
  end
  end
end
