# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `rails
# db:schema:load`. When creating a new database, `rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2020_03_22_145832) do

  # These are extensions that must be enabled in order to support this database
  enable_extension "plpgsql"

  create_table "blogs", force: :cascade do |t|
    t.string "title", null: false
    t.string "img_url"
    t.string "slogan", null: false
    t.bigint "user_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "urlName", null: false
    t.integer "bg_color", null: false
    t.integer "fg_color"
    t.string "logo"
    t.index ["urlName"], name: "index_blogs_on_urlName", unique: true
    t.index ["user_id"], name: "index_blogs_on_user_id"
  end

  create_table "categories", force: :cascade do |t|
    t.string "name", null: false
    t.string "path", null: false
    t.bigint "blog_id", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["blog_id"], name: "index_categories_on_blog_id"
    t.index ["name", "blog_id"], name: "index_categories_on_name_and_blog_id", unique: true
    t.index ["name"], name: "index_categories_on_name"
    t.index ["path", "blog_id"], name: "index_categories_on_path_and_blog_id", unique: true
    t.index ["path"], name: "index_categories_on_path"
  end

  create_table "categories_posts", id: false, force: :cascade do |t|
    t.bigint "category_id", null: false
    t.bigint "post_id", null: false
    t.index ["category_id"], name: "index_categories_posts_on_category_id"
    t.index ["post_id"], name: "index_categories_posts_on_post_id"
  end

  create_table "comments", force: :cascade do |t|
    t.integer "likes"
    t.integer "dislikes"
    t.text "body", null: false
    t.bigint "post_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "user_id"
    t.integer "parent_id"
    t.boolean "deleted", default: false
    t.index ["post_id"], name: "index_comments_on_post_id"
    t.index ["user_id"], name: "index_comments_on_user_id"
  end

  create_table "image_meta", force: :cascade do |t|
    t.bigint "user_id"
    t.string "img"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["user_id"], name: "index_image_meta_on_user_id"
  end

  create_table "pages", force: :cascade do |t|
    t.bigint "blog_id", null: false
    t.string "title", default: "", null: false
    t.text "body", default: "", null: false
    t.string "path"
    t.integer "priority", default: -> { "nextval('page_priority_sequence'::regclass)" }, null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "is_draft", default: false, null: false
    t.boolean "hidden", default: false, null: false
    t.index ["blog_id"], name: "index_pages_on_blog_id"
    t.index ["hidden"], name: "index_pages_on_hidden"
  end

  create_table "pg_search_documents", force: :cascade do |t|
    t.text "content"
    t.string "searchable_type"
    t.bigint "searchable_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["searchable_type", "searchable_id"], name: "index_pg_search_documents_on_searchable_type_and_searchable_id"
  end

  create_table "posts", force: :cascade do |t|
    t.string "title", null: false
    t.text "body", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "blog_id"
    t.boolean "is_draft", default: false, null: false
    t.index ["blog_id"], name: "index_posts_on_blog_id"
  end

  create_table "simple_captcha_data", id: :serial, force: :cascade do |t|
    t.string "key", limit: 40
    t.string "value", limit: 6
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["key"], name: "idx_key"
  end

  create_table "users", force: :cascade do |t|
    t.string "username"
    t.string "display_name"
    t.string "email"
    t.string "password_digest"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.integer "role", default: 0, null: false
  end

  create_table "video_meta", force: :cascade do |t|
    t.bigint "user_id"
    t.string "vid"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["user_id"], name: "index_video_meta_on_user_id"
  end

  add_foreign_key "categories", "blogs"
  add_foreign_key "pages", "blogs"
end
